Subject: bug#30788: 27.0.50; Getting 'char-displayable-p: Invalid hash table rehash size: 1.0' when starting emacs -Q

From: Peter Dyballa <[email-masked]>
Date: Sat, 19 May 2018 13:21:54 +0200

Could be Clang is *not* the proper compiler…

Of course code signing does not work after a reboot (bug report with Apple opened), so I used the root account for debugging. I started GDB 8.0.1 (installed as '-rwxr-xr-x  1 root  admin  6248012 17 Nov  2017 /opt/local/bin/ggdb') à la

	env LC_NUMERIC=de_DE.UTF-8 ggdb -i=mi emacs-27.0.50.1

Communication with GDB is:

...
	SIGINT is used by the debugger.
	Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
	DISPLAY = :0
	TERM = dumb
	(gdb) set args -Q
	(gdb) break setlocale
	Function "setlocale" not defined.
	Breakpoint 3 (setlocale) pending.
	(gdb) run
	Starting program: /Users/pete/Quellen/Emacs_CVS/emacs-27.0.50/src/emacs-27.0.50.1 -Q 
	[New Thread 0xf03 of process 8062]
	warning: unhandled dyld version (15)
	[New Thread 0x1007 of process 8062]
	[New Thread 0xd0f of process 8062]
	[New Thread 0x1603 of process 8062]
	xpr
	  C-c C-c[Inferior 1 (process 6709) exited normally]
	(gdb) xpr
	The history is empty.

Launched Emacs displays the error, but gdb does show any prompt. In the window *breakpopints of ...* is shown:

	Num Type       Disp Enb Addr               Hits What
	1   breakpoint keep y   0x000000010024a360 0    <terminate_due_to_signal>
	2   breakpoint del  y   0x00000001002928e0 0    <init_sys_modes>
	3   breakpoint keep y   <PENDING>          0    setlocale

I'll try anew with GCC!

--
Greetings

  Pete

"Only two things are infinite, the universe and human stupidity, and I'm not sure about the former."
				– Albert Einstein